#!/bin/sh

PREFIX=/home/jabber

if [ -z "$1" ]; then
	SERVICES="jabber icqtrans irctrans aimtrans confserv judserv msntrans yahootrans"
else
	SERVICES="$*"
fi

for SERVICE in $SERVICES; do
	if [ "$SERVICE" = "jabber" ]; then
		rm -rf ${PREFIX}/jabber.pid
	fi
	echo > ${PREFIX}/${SERVICE}.log
	nohup ${PREFIX}/jabberd/jabberd -c ${PREFIX}/${SERVICE}.xml -D > ${PREFIX}/${SERVICE}.log 2>&1 &
done
